Skip to main content
PATCH
/
v1
/
organizations
/
{organization_id}
/
ledgers
/
{ledger_id}
/
transaction-routes
/
{transaction_route_id}
Update a Transaction Route
curl --request PATCH \
  --url https://ledger.sandbox.lerian.net/v1/organizations/{organization_id}/ledgers/{ledger_id}/transaction-routes/{transaction_route_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "PIX",
  "description": "Pix from external bank account",
  "metadata": {}
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "ledgerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "title": "<string>",
  "description": "<string>",
  "operationRoutes": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "ledgerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "title": "<string>",
      "code": "<string>",
      "description": "<string>",
      "operationType": "source",
      "account": {
        "ruleType": "alias",
        "validIf": [
          [
            "current_asset",
            "payment_account"
          ]
        ]
      },
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "deletedAt": "2023-11-07T05:31:56Z",
      "metadata": {}
    }
  ],
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "deletedAt": "2023-11-07T05:31:56Z",
  "metadata": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Authorization
string

The authorization token. This header is required if your environment has Access Manager enabled.

Path Parameters

organization_id
string
required

The unique identifier of the Organization associated with the Ledger.

ledger_id
string
required

The unique identifier of the associated Ledger.

transaction_route_id
string
required

The unique identifier of the Transaction Route that you want to retrieve.

Body

application/json
title
string

Short text summarizing the purpose of the transaction. Used as an entry note for identification.

Maximum string length: 50
description
string

A description for the Transaction Route.

Maximum string length: 250
operationRoutes
string<uuid>[] | null

A list of Operation Route IDs that define the source and destination logic for the transaction. Important: A transaction route must include at least one operation route with type: "source" and at least one operation route with type: "destination".

metadata
object

An object containing key-value pairs to add as metadata, where the field name is the key and the field value is the value. For example, to add a Cost Center, use 'costCenter': 'BR_11101997'.

Response

Indicates that the resource was successfully created and the operation was completed as expected.

id
string<uuid>

The unique identifier of the Transaction Route.

organizationId
string<uuid>

The unique identifier of the Organization.

ledgerId
string<uuid>

The unique identifier of the Ledger.

title
string

Short text summarizing the purpose of the transaction. Used as an entry note for identification.

description
string

A description for the Transaction Route.

operationRoutes
object[]

List of objects containing information about the Operation Routes from the Transaction Route.

createdAt
string<date-time>

Timestamp of creation (UTC).

updatedAt
string<date-time>

Timestamp of last update (UTC).

deletedAt
string<date-time> | null

Timestamp of soft deletion, if applicable (UTC).

metadata
object

An object containing key-value pairs to add as metadata, where the field name is the key and the field value is the value. For example, to add a Cost Center, use 'costCenter': 'BR_11101997'.